Pregunta sobre Arreglando WordPress de Wordpress:

«Error crítico» en el sitio web, inspirado en el tema de Photocrati

Un usuario preguntó 👇

Primera publicación aquí, así que saludos a todos, ¡y muchas gracias de antemano por cualquier ayuda!

Intenté acceder a mi sitio hoy, en https://www.manolmanolovphotography.com y fue abordado con el siguiente mensaje:

—–


Warning: Declaration of M_Photocrati_GalleryLegacy::define() should be compatible with C_Base_Module::define($id = 'pope-modul...', $name = 'Pope Modul...', $description = '', $version = '', $uri = '', $author = '', $author_uri = '', $context = false) in /home/manolmanolovphotography/manolmanolovphotography.com/wp-content/themes/photocrati-pro/photocrati-gallery/module.photocrati_gallery_legacy.php on line 33

Warning: Declaration of M_Photocrati_ThemeBulk::define() should be compatible with C_Base_Module::define($id = 'pope-modul...', $name = 'Pope Modul...', $description = '', $version = '', $uri = '', $author = '', $author_uri = '', $context = false) in /home/manolmanolovphotography/manolmanolovphotography.com/wp-content/themes/photocrati-pro/module.photocrati_theme_bulk.php on line 118

Fatal error: Cannot use "self" when no class scope is active in /home/manolmanolovphotography/manolmanolovphotography.com/wp-content/themes/photocrati-pro/functions/theme-options.php on line 808

Ha ocurrido un error crítico en su sitio web. Consulte la bandeja de entrada del correo electrónico de su sitio para obtener instrucciones.

—–

Es una cuestión de algún tipo con el tema de Photocrati que estoy ejecutando (por supuesto). Cuando cambio el nombre de la carpeta «photocrati-pro» (en wp-content themes>) a otra cosa en Filezilla, ahora puedo acceder al sitio, simplemente falla un tema diferente.

Ya no soy miembro de Photocrati (elige no renovar) y requieren que te conviertas en miembro (y pagues $ 100, por supuesto) antes de que puedas contactar con el soporte, así que no puedo ayudarte.

Estoy tratando de ver si puedo guardar el sitio de alguna manera o «reparar» el tema, para que vuelva a estar en línea. Si alguien tiene alguna sugerencia basada en el código de error anterior, sobre cómo se puede pegar, se lo agradecería. No creo que hable de una incompatibilidad entre un tema y una versión de WordPress que se pueda arreglar volviendo a una instalación de WP anterior … Simplemente parece que algo rompió repentinamente con el tema, pero no estoy seguro de qué lo provocó.

A continuación se muestra una copia del archivo «debug.log»:

—–


[21-Mar-2020 05:42:40 UTC] PHP Warning:  Declaration of M_Photocrati_GalleryLegacy::define() should be compatible with C_Base_Module::define($id = 'pope-modul...', $name = 'Pope Modul...', $description = '', $version = '', $uri = '', $author = '', $author_uri = '', $context = false) in /home/manolmanolovphotography/manolmanolovphotography.com/wp-content/themes/photocrati-pro/photocrati-gallery/module.photocrati_gallery_legacy.php on line 33
[21-Mar-2020 05:42:40 UTC] PHP Warning:  Declaration of M_Photocrati_ThemeBulk::define() should be compatible with C_Base_Module::define($id = 'pope-modul...', $name = 'Pope Modul...', $description = '', $version = '', $uri = '', $author = '', $author_uri = '', $context = false) in /home/manolmanolovphotography/manolmanolovphotography.com/wp-content/themes/photocrati-pro/module.photocrati_theme_bulk.php on line 118
[21-Mar-2020 05:42:40 UTC] PHP Fatal error:  Cannot use "self" when no class scope is active in /home/manolmanolovphotography/manolmanolovphotography.com/wp-content/themes/photocrati-pro/functions/theme-options.php on line 808
[21-Mar-2020 05:50:57 UTC] PHP Strict Standards:  Declaration of M_Photocrati_GalleryLegacy::define() should be compatible with C_Base_Module::define($id = 'pope-modul...', $name = 'Pope Modul...', $description = '', $version = '', $uri = '', $author = '', $author_uri = '', $context = false) in /home/manolmanolovphotography/manolmanolovphotography.com/wp-content/themes/photocrati-pro/photocrati-gallery/module.photocrati_gallery_legacy.php on line 33
[21-Mar-2020 05:50:57 UTC] PHP Strict Standards:  Declaration of M_Photocrati_ThemeBulk::define() should be compatible with C_Base_Module::define($id = 'pope-modul...', $name = 'Pope Modul...', $description = '', $version = '', $uri = '', $author = '', $author_uri = '', $context = false) in /home/manolmanolovphotography/manolmanolovphotography.com/wp-content/themes/photocrati-pro/module.photocrati_theme_bulk.php on line 118
[21-Mar-2020 05:50:57 UTC] PHP Strict Standards:  Declaration of M_Photocrati_ThemeAdmin::define() should be compatible with C_Base_Module::define($id = 'pope-modul...', $name = 'Pope Modul...', $description = '', $version = '', $uri = '', $author = '', $author_uri = '', $context = false) in /home/manolmanolovphotography/manolmanolovphotography.com/wp-content/themes/photocrati-pro/admin/module.photocrati_theme_admin.php on line 308
[21-Mar-2020 05:50:57 UTC] PHP Strict Standards:  Declaration of P_Photocrati_Theme_Pro::define() should be compatible with C_Base_Product::define($id = 'pope-produ...', $name = 'Pope Produ...', $description = '', $version = '', $uri = '', $author = '', $author_uri = '', $context = false) in /home/manolmanolovphotography/manolmanolovphotography.com/wp-content/themes/photocrati-pro/products/photocrati_theme/product.photocrati_theme_pro.php on line 47
[21-Mar-2020 05:50:57 UTC] PHP Strict Standards:  Declaration of M_AutoUpdate::define() should be compatible with C_Base_Module::define($id = 'pope-modul...', $name = 'Pope Modul...', $description = '', $version = '', $uri = '', $author = '', $author_uri = '', $context = false) in /home/manolmanolovphotography/manolmanolovphotography.com/wp-content/themes/photocrati-pro/products/photocrati_theme/modules/autoupdate/module.autoupdate.php on line 794
[21-Mar-2020 05:50:57 UTC] PHP Strict Standards:  Declaration of M_AutoUpdate_Admin::define() should be compatible with C_Base_Module::define($id = 'pope-modul...', $name = 'Pope Modul...', $description = '', $version = '', $uri = '', $author = '', $author_uri = '', $context = false) in /home/manolmanolovphotography/manolmanolovphotography.com/wp-content/themes/photocrati-pro/products/photocrati_theme/modules/autoupdate_admin/module.autoupdate_admin.php on line 324
[21-Mar-2020 05:50:58 UTC] PHP Strict Standards:  Declaration of M_Photocrati_GalleryLegacy::define() should be compatible with C_Base_Module::define($id = 'pope-modul...', $name = 'Pope Modul...', $description = '', $version = '', $uri = '', $author = '', $author_uri = '', $context = false) in /home/manolmanolovphotography/manolmanolovphotography.com/wp-content/themes/photocrati-pro/photocrati-gallery/module.photocrati_gallery_legacy.php on line 33
[21-Mar-2020 05:50:58 UTC] PHP Strict Standards:  Declaration of M_Photocrati_ThemeBulk::define() should be compatible with C_Base_Module::define($id = 'pope-modul...', $name = 'Pope Modul...', $description = '', $version = '', $uri = '', $author = '', $author_uri = '', $context = false) in /home/manolmanolovphotography/manolmanolovphotography.com/wp-content/themes/photocrati-pro/module.photocrati_theme_bulk.php on line 118
[21-Mar-2020 05:50:58 UTC] PHP Strict Standards:  Declaration of M_Photocrati_ThemeAdmin::define() should be compatible with C_Base_Module::define($id = 'pope-modul...', $name = 'Pope Modul...', $description = '', $version = '', $uri = '', $author = '', $author_uri = '', $context = false) in /home/manolmanolovphotography/manolmanolovphotography.com/wp-content/themes/photocrati-pro/admin/module.photocrati_theme_admin.php on line 308
[21-Mar-2020 05:50:58 UTC] PHP Strict Standards:  Declaration of P_Photocrati_Theme_Pro::define() should be compatible with C_Base_Product::define($id = 'pope-produ...', $name = 'Pope Produ...', $description = '', $version = '', $uri = '', $author = '', $author_uri = '', $context = false) in /home/manolmanolovphotography/manolmanolovphotography.com/wp-content/themes/photocrati-pro/products/photocrati_theme/product.photocrati_theme_pro.php on line 47
[21-Mar-2020 05:50:58 UTC] PHP Strict Standards:  Declaration of M_AutoUpdate::define() should be compatible with C_Base_Module::define($id = 'pope-modul...', $name = 'Pope Modul...', $description = '', $version = '', $uri = '', $author = '', $author_uri = '', $context = false) in /home/manolmanolovphotography/manolmanolovphotography.com/wp-content/themes/photocrati-pro/products/photocrati_theme/modules/autoupdate/module.autoupdate.php on line 794
[21-Mar-2020 05:50:58 UTC] PHP Strict Standards:  Declaration of M_AutoUpdate_Admin::define() should be compatible with C_Base_Module::define($id = 'pope-modul...', $name = 'Pope Modul...', $description = '', $version = '', $uri = '', $author = '', $author_uri = '', $context = false) in /home/manolmanolovphotography/manolmanolovphotography.com/wp-content/themes/photocrati-pro/products/photocrati_theme/modules/autoupdate_admin/module.autoupdate_admin.php on line 324
[21-Mar-2020 05:55:07 UTC] PHP Warning:  Declaration of M_Photocrati_GalleryLegacy::define() should be compatible with C_Base_Module::define($id = 'pope-modul...', $name = 'Pope Modul...', $description = '', $version = '', $uri = '', $author = '', $author_uri = '', $context = false) in /home/manolmanolovphotography/manolmanolovphotography.com/wp-content/themes/photocrati-pro/photocrati-gallery/module.photocrati_gallery_legacy.php on line 33
[21-Mar-2020 05:55:07 UTC] PHP Warning:  Declaration of M_Photocrati_ThemeBulk::define() should be compatible with C_Base_Module::define($id = 'pope-modul...', $name = 'Pope Modul...', $description = '', $version = '', $uri = '', $author = '', $author_uri = '', $context = false) in /home/manolmanolovphotography/manolmanolovphotography.com/wp-content/themes/photocrati-pro/module.photocrati_theme_bulk.php on line 118
[21-Mar-2020 05:55:07 UTC] PHP Fatal error:  Cannot use "self" when no class scope is active in /home/manolmanolovphotography/manolmanolovphotography.com/wp-content/themes/photocrati-pro/functions/theme-options.php on line 808

—–

¡Cualquier ayuda será muy apreciada!

Gracias, manol
http://www.manolmanolovphotography.com

Este tema fue modificado hace 11 meses, hace una semana por. Motivo: use el botón CODIGO para formatear el código

(@fierevere)

ゆ い

Hace 11 meses, 1 semana

Como se trata de un tema o plugin comercial, le pedimos que acceda a su canal de soporte oficial, para que pueda obtener el apoyo de las personas que lo conocen mejor. Los voluntarios del foro tampoco tienen acceso a productos comerciales, por lo que no sabrían por qué no funciona correctamente. Otros miembros del público que pueden estar enfrentando su problema pueden ayudar, pero su mejor opción es el desarrollador de su producto. Tenga en cuenta que lo alentamos a utilizar los centros de soporte oficiales, ya que permite a los desarrolladores estar al tanto de los problemas con su código y lo trae de vuelta al público de una manera más sólida.

Sinceramente, tienes 2 opciones. A) amplíe su soporte de Photocrati (pagando una tarifa) B) reemplace su tema con algo más que se adapte a su sitio.

¿Solucionó tu problema??

0 / 0

Deja una respuesta 0

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *